textures/imperial/impsky
{
	qer_editorImage textures/imperial/reccess.tga
    qer_trans 1
	q3map_lightmapFilterRadius 0 16  
    q3map_lightsubdivide 512
    q3map_backsplash 0 0
	q3map_sunExt 0.99 0.93 0.98	1100 77 66 3 16
    q3map_lightRGB 0.99 0.93 0.98
	q3map_skylight 450 16
    //q3map_noFog
    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodlight
	skyparms env/turnpike/tp_sky2 1024 -
	{
		map textures/slackin/clouds01.tga
		blendFunc add
		tcMod scale 3 2
		tcMod scroll 0.02 0.01
	}
	nopicmip
	nomipmaps
}

textures/imperial/impsky_day
{
	qer_editorImage textures/slackin/glass01.tga
    qer_trans 1
	q3map_lightmapFilterRadius 0 16  
    q3map_lightsubdivide 512
    q3map_backsplash 0 0
	q3map_sunExt 0.99 0.93 0.98	75 77 66 3 16
    q3map_lightRGB 0.99 0.93 0.98
	q3map_skylight 60 16
    //q3map_noFog
    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodlight
	skyparms env/turnpike/tp_sky2 1024 -
	{
		map textures/slackin/clouds02.tga
		blendFunc gl_one_minus_src_alpha gl_src_color
		//blendFunc gl_src_alpha gl_one
		tcMod scale 3 2
		tcMod scroll 0.007 0.008
	}
	{
		map textures/slackin/clouds02.tga
		//blendFunc gl_one_minus_src_alpha gl_src_color
		blendFunc gl_src_alpha gl_one
		//tcMod scale 3 2
		tcMod scroll 0.004 0.002
	}
	nopicmip
	nomipmaps
}

textures/imperial/phong_glass
{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorImage textures/slackin/glass01.tga // this image will be different
	qer_trans .99
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm playerslip
	surfaceparm playerclip
	surfaceparm glass
	cull disable
	{
		map textures/slackin/glass01.tga
        tcgen environment
        blendfunc blend
        rgbGen identity
		tcMod scale 1 1.2
		tcMod scroll 0.005 0.01
    }
	{
        map textures/slackin/glass01.tga
        tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
    }
}

textures/imperial/imp_light_glass_test
{
	qer_editorImage textures/imperial/reccess.tga // this image will be different
	qer_trans .5
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm glass
	q3map_surfacelight 30000
	{
        map textures/imperial/reccess.tga
        tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
    }
}

textures/slackin/brick02
{
	qer_editorImage textures/slackin/brick02.tga
	q3map_normalImage textures/slackin/brick02_n.tga
	q3map_lightmapsamplesize 1x1
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/slackin/brick02.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		blendFunc filter
	}
}

textures/slackin/brick03
{
	qer_editorImage textures/slackin/brick03.tga
	q3map_normalImage textures/slackin/brick03_n.tga
	q3map_lightmapsamplesize 1x1
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/slackin/brick03.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		blendFunc filter
	}
}

textures/slackin/brick01
{
	qer_editorImage textures/slackin/brick01.tga
	q3map_normalImage textures/slackin/brick01_n.tga
	q3map_lightmapsamplesize 1x1
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/slackin/brick01.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		blendFunc filter
	}
}

textures/slackin/carpet01
{
	qer_editorImage textures/slackin/carpet01.tga
	q3map_normalImage textures/slackin/carpet01_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/carpet01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/slackin/crete01
{
	qer_editorImage textures/slackin/crete01.tga
	q3map_normalImage textures/slackin/crete01_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/crete01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/slackin/crete03
{
	qer_editorImage textures/slackin/crete03.tga
	q3map_normalImage textures/slackin/crete03_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/crete03.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/slackin/crete04
{
	qer_editorImage textures/slackin/crete04.tga
	q3map_normalImage textures/slackin/crete04_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/crete04.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/slackin/glass01
{
	qer_editorImage textures/slackin/glass01.tga
	q3map_normalImage textures/slackin/glass01_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/glass01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/slackin/grass01
{
	qer_editorImage textures/slackin/grass01.tga
	q3map_normalImage textures/slackin/grass01_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/grass01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/slackin/soft01
{
	qer_editorImage textures/slackin/soft01.tga
	q3map_normalImage textures/slackin/soft01_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/soft01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/slackin/red_floor01
{
	qer_editorImage textures/slackin/red_floor01.tga
	q3map_normalImage textures/slackin/red_floor01_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/red_floor01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/slackin/tr-ch
{
	qer_editorImage textures/slackin/tr-ch.tga
	q3map_normalImage textures/slackin/tr-ch_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/tr-ch.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/keres/concrete01
{
	qer_editorImage textures/keres/concrete/crete01.tga
	q3map_normalImage textures/keres/concrete/crete01_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/keres/concrete/crete01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/keres/brick01
{
	qer_editorImage textures/keres/brick/brick01.tga
	q3map_normalImage textures/keres/brick/brick01_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/keres/brick/brick01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/imperial/30k_glass_light
{
	qer_editorImage textures/imperial/reccess.tga // this image will be different
	qer_trans .5
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm glass
	q3map_surfacelight 30000
	{
        map textures/imperial/reccess.tga
        tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
    }
}

textures/imperial/75k_glass_light
{
	qer_editorImage textures/imperial/reccess.tga // this image will be different
	qer_trans .5
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm glass
	q3map_surfacelight 75000
	{
        map textures/imperial/reccess.tga
        tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
    }
}

textures/imperial/300k_glass_light
{
	qer_editorImage textures/imperial/reccess.tga // this image will be different
	qer_trans .5
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm glass
	q3map_surfacelight 300000
	{
        map textures/imperial/reccess.tga
        tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
    }
}

textures/imperial/OH_glass_light
{
	qer_editorImage textures/imperial/reccess.tga // this image will be different
	qer_trans .5
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm glass
	q3map_surfacelight 60000
	{
        map textures/imperial/reccess.tga
        tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
    }
}

textures/imperial/BR_glass_light
{
	qer_editorImage textures/imperial/reccess.tga // this image will be different
	qer_trans .5
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm glass
	q3map_surfacelight 750000
	{
        map textures/imperial/reccess.tga
        tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
    }
}

textures/imperial/BR_long_glass_light
{
	qer_editorImage textures/imperial/reccess.tga // this image will be different
	qer_trans .5
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm glass
	q3map_surfacelight 10000
	{
        map textures/imperial/reccess.tga
        tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
    }
}
