textures/imperial/phong_glass
{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorImage textures/slackin/glass01.tga // this image will be different
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm playerslip
	surfaceparm playerclip
	surfaceparm glass
	cull disable
	{
		map textures/slackin/glass01.tga
        tcgen environment
        blendfunc blend
        rgbGen identity
		tcMod scale 1 1.2
		tcMod scroll 0.005 0.01
    }
	{
        map textures/slackin/glass01.tga
        tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
    }
}

textures/slackin/popcorn01
{
	qer_editorImage textures/slackin/popcorn01.tga
	q3map_normalImage textures/slackin/popcorn01_n.tga
	q3map_lightmapsamplesize 1x1
	{
		map $lightmap
	}
	{
		map textures/slackin/popcorn01.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/imperial/impsky_day
{
	qer_editorImage textures/slackin/glass01.tga
    qer_trans 1
	q3map_lightmapFilterRadius 0 16  
    q3map_lightsubdivide 512
    q3map_backsplash 0 0
	q3map_sunExt 0.99 0.93 0.98	75 77 66 3 16
    q3map_lightRGB 0.99 0.93 0.98
	q3map_skylight 60 16
    //q3map_noFog
    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodlight
	skyparms env/turnpike/tp_sky2 1024 -
	{
		map textures/slackin/clouds02.tga
		blendFunc gl_one_minus_src_alpha gl_src_color
		//blendFunc gl_src_alpha gl_one
		tcMod scale 3 2
		tcMod scroll 0.007 0.008
	}
	{
		map textures/slackin/clouds02.tga
		//blendFunc gl_one_minus_src_alpha gl_src_color
		blendFunc gl_src_alpha gl_one
		//tcMod scale 3 2
		tcMod scroll 0.004 0.002
	}
	{
		map textures/slackin/clouds01.tga
		blendFunc gl_one gl_one_minus_src_color
		//tcMod scale 2 3
		tcMod scroll 0.001 0.002
	}
	{
		map textures/slackin/clouds01.tga
		blendFunc gl_one gl_one_minus_src_color
		tcMod scale 1 1.25
		tcMod scroll 0.003 0.001
	}
	nopicmip
	nomipmaps
}

textures/imperial/imp_flour
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 4000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_flour_5k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 5000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_flour_2k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 2000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_rec_500k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 500000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_rec_100k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 100000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_rec_250k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 250000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_rec_1m
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 1000000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_rec_200k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 200000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_rec_125k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 125000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_r_125k_bo
{
	qer_editorImage textures/imperial/reccess_bo.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 125000
	{
		map textures/imperial/reccess_bo.tga
		rgbGen identity
	}
}


textures/imperial/imp_new_flour_5k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 5000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_new_flour_2k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 2000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_new_rec_500k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 500000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_new_rec_100k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 100000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_new_rec_250k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 250000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_new_rec_1m
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 1000000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_new_rec_200k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 200000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_new_rec_20k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    //q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	//q3map_surfacelight 20000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_new_rec_125k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 125000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_new_r_125k_bo
{
	qer_editorImage textures/imperial/reccess_bo.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 125000
	{
		map textures/imperial/reccess_bo.tga
		rgbGen identity
	}
}
